Subject: Re: [Fot] Travelers

From: Jim Gray <[email-masked]>
Date: Wed, 4 Sep 2013 19:06:56 -0500

Sorry I missed you Kas, with the windows down its been hard to hear much. It's
very possible I was watching
College girls too. My neck hurts.
Jim

Sent from my iPhone

On Sep 4, 2013, at 5:17 PM, Kas Kastner <[email-masked]> wrote:

> I was passing through Lincoln, Nebraska, saw Jim Gray and his red TR-4 on a
> trailer, honked hard a couple times but they were busy, ;Looking at college
> girls I think. I did not see the girls till later on.
>
> *Never be beaten by equipment.*
> _______________________________________________
> [email-masked]
>
> http://www.fot-racing.com
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
http://autox.team.net/mailman/options/fot/[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive